Subject: Re: bug#7747: Please put current file name in the prompt for rename-file

From: Lennart Borgman <[email-masked]>
Date: Sun, 2 Jan 2011 04:15:17 +0100

On Sun, Jan 2, 2011 at 3:53 AM, Stefan Monnier <[email-masked]> wrote:
> retitle 7747 Allow choice of "default in M-n" vs "default in `initial'"
> severity 7747 wishlist
> thanks
>
>> I think this is a much better UI than the current implementation to
>> handle default values.
>
> Clearly, that's the one you're used to from the rest of your w32 world.
> Whether it's better or not also depends on whether you use and like
> delete-selection-mode.

Yes, you have to like delete-selection-mode to use this. (But it also
makes it clear why delete-selection-mode is very useful.)

> In any case, I don't think the default will change any time soon in this
> respect, but I do hope that we will change the code so that end users
> can choose between the two behaviors.

Agree. Fine.